//
//  uploadFileManager.h
//  隐私保护
//
//  Created by xd h on 2023/11/15.
//

#import <Foundation/Foundation.h>
#import "uploadFileDataModel.h"
#import "TZImageManager.h"
#import "TZAssetModel+imageData.h"

#define upLoadFile_image_tableName @"upLoadFile_image_tableName"
#define upLoadFile_Video_tableName @"upLoadFile_Video_tableName"

NS_ASSUME_NONNULL_BEGIN

#define custom_complete_B void(^_Nullable)(BOOL isSuccess)

@interface uploadFileManager : NSObject
+(uploadFileManager *)shareInstance;

//排队等待上传的文件列表
@property (nonatomic, strong) NSMutableArray * _Nullable fileModelDataArr;
@property (nonatomic, strong) uploadFileDataModel *curUploadFileDataModel;//当前上传的文件

//把TZAssetModel 转成 我们需要上传的model
- (NSMutableArray*)handlTZAssetModelToUploadFileDataFunBy:(NSMutableArray*)indexPathsForSelectedItems;

//文件上传完成
- (void)uploadFileDoneFun;

//修改文件上传的状态
- (void)changeUploadFileState:(uploadStateType)curUploadStateType complete:(custom_complete_B)complete;
@end

NS_ASSUME_NONNULL_END
